
<!Doctype html>
<html>

<head>
    
<script src="https://cdn.jsdelivr.net/jquery/1.12.4/jquery.min.js"></script>
 <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  
       <!-- for ajax cdn  -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.0/jquery.min.js"> </script>  
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.min.js"> </script>  

<script src="https://cdn.jsdelivr.net/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.min.js"></script>




</head>

<body>


    <!-- signup page html code start -->

    <div class="container-fluid my-0 py-5 ">
            <!-- <div class="d-flex flex-row justify-content-center "> -->

                <div class="col-12">

                 <button class="btn btn-primary add_btn my-3">Add User also</button>

                <?php    echo $this->Form->create('State',['id'=>'myform']);
                         echo $this->Form->input('id',['type'=>'hidden']);
                         
                ?>
                      
                <table>
                        <thead >
                            <tr><td><?php    echo $this->Form->input('name',['class'=>'w-25 mx-3']);  ?></td></tr>
                        </thead>

                        <tbody>

                        <?php  




                        ?>


                        </tbody>
                </table>


                <?php    echo $this->Form->end('Submit');   ?>
                    



   

          </div>

        </div>
       



<script>

$(document).ready(function () {

        var i = 0;
        $(document).on('click',".add_btn",function(){
            
        $record = "<tr><td><input placeholder='Enter name' name='data[Crud]["+i+"][name]'></td><td> <input placeholder='Enter Mobile' name='data[Crud]["+i+"][mobile]'></td><td> <input placeholder='Enter Email' name='data[Crud]["+i+"][email]'></td><td> <button class='btn btn-danger rm_btn'>Delete</button></td></tr>";

        $("tbody").append($record);

        i++;

                
        });

        $(document).on('click','.rm_btn',function(){
             $(this).closest('tr').remove();
        })

        $("#myform").validate({


                rules: {


                'data[State][name]': {
                required: true
                
                }
                },

                messages: {
                
                'data[State][name]': "* Please enter State name "

                }


                });


        
        
});
       




</script>

  </body>

<html>
    

